Bug 7213 - Document /svc/ HTTP API and provide example command-line client
Summary: Document /svc/ HTTP API and provide example command-line client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-10 20:38 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
simple /svc/ HTTP example (1.75 KB, patch)
2011-11-10 20:46 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213: simple /svc/ HTTP example (1.75 KB, patch)
2011-11-10 20:57 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213: simple /svc/ HTTP example (1.77 KB, patch)
2011-11-10 22:19 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213: simple /svc/ HTTP example (1.77 KB, patch)
2011-11-10 22:20 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213: simple /svc/ HTTP example (1.69 KB, patch)
2011-11-10 22:27 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213: simple /svc/ HTTP example (3.79 KB, patch)
2012-03-21 16:05 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213: simple /svc/ HTTP example (4.15 KB, patch)
2012-03-22 08:29 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213: simple /svc/ HTTP example (4.21 KB, patch)
2012-04-07 21:15 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7213 - simple /svc/ HTTP example (4.33 KB, patch)
2012-04-19 14:44 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213 - simple /svc/ HTTP example (4.38 KB, patch)
2012-04-19 14:48 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7213 - simple /svc/ HTTP example (4.44 KB, patch)
2012-04-19 23:36 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7213 : Follow up fixing license information (1.32 KB, patch)
2012-05-14 21:16 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2011-11-10 20:38:37 UTC
I started documentation about /svc/ API in Koha at http://wiki.koha-community.org/wiki/Import_MARC_to_Koha
Comment 1 Dobrica Pavlinusic 2011-11-10 20:46:04 UTC Comment hidden (obsolete)
Comment 2 Dobrica Pavlinusic 2011-11-10 20:57:34 UTC Comment hidden (obsolete)
Comment 3 Dobrica Pavlinusic 2011-11-10 22:19:41 UTC Comment hidden (obsolete)
Comment 4 Dobrica Pavlinusic 2011-11-10 22:20:37 UTC Comment hidden (obsolete)
Comment 5 Dobrica Pavlinusic 2011-11-10 22:27:36 UTC Comment hidden (obsolete)
Comment 6 Dobrica Pavlinusic 2011-11-11 09:57:45 UTC
I extracted /svc/ API into own wiki page at: http://wiki.koha-community.org/wiki/Koha_/svc/_HTTP_API

I will also stop spamming attachments for this bug, and move development of koha-svc.pl to my git repo at http://koha-dev.rot13.org:8081/gitweb/?p=koha-ffzg.git;a=shortlog;h=refs/heads/bug_7213-svc until code stabilize enough for me to submit it back to this ticket
Comment 7 Dobrica Pavlinusic 2012-03-21 16:05:19 UTC Comment hidden (obsolete)
Comment 8 Dobrica Pavlinusic 2012-03-22 08:29:31 UTC Comment hidden (obsolete)
Comment 9 Chris Cormack 2012-04-07 21:15:41 UTC Comment hidden (obsolete)
Comment 10 Chris Cormack 2012-04-07 21:18:14 UTC
Well documented script, works well.
Comment 11 Dobrica Pavlinusic 2012-04-19 14:44:21 UTC Comment hidden (obsolete)
Comment 12 Dobrica Pavlinusic 2012-04-19 14:48:39 UTC Comment hidden (obsolete)
Comment 13 Dobrica Pavlinusic 2012-04-19 14:52:22 UTC
Chris, can I bother you for another sign-off?

MJ Ray pointed out that my usage of POSTDATA is gross hack and should be replaced with proper Content-type: text/xml header instead :-)

Follow-ups are much more useful if I remember to git add code before git commit --amend...
Comment 14 Chris Cormack 2012-04-19 23:36:09 UTC Comment hidden (obsolete)
Comment 15 Paul Poulain 2012-05-14 16:24:44 UTC
QA comment:
 * quite a large patch, but not linked to the core of Koha. No risk of any side effect
 * extensive documentation
 * coding guidelines seems OK
 * passes perlcritic

=> passes QA
Comment 16 Chris Cormack 2012-05-14 21:16:37 UTC
Created attachment 9575 [details] [review]
Bug 7213 : Follow up fixing license information
Comment 17 Chris Cormack 2012-05-14 21:17:48 UTC
Harmless patch, pushed to 3.8.1
Comment 18 Chris Cormack 2012-05-14 21:18:11 UTC
Follow up needs signoff
Comment 19 Paul Poulain 2012-05-15 13:45:11 UTC
trivial follow-up, sign-off, passed QA and pushed in one go
Comment 20 Jared Camins-Esakov 2012-06-14 11:53:52 UTC
As the /svc/ API already existed in 3.6.x, having documentation would be useful. This patch will be in 3.6.6.
Comment 21 Jared Camins-Esakov 2012-12-31 01:05:35 UTC
There have been no further reports of problems so I am marking this bug resolved.